GDCM: gdcm::CSAElement Class Reference

GDCM 3.2.7

Public Member Functions | Protected Types | Protected Attributes | Friends | List of all members
gdcm::CSAElement Class Reference

Class to represent a CSA Element. More...

`#include <gdcmCSAElement.h>`

Collaboration diagram for gdcm::CSAElement:
[legend]

## Public Member Functions
| CSAElement (const CSAElement &_val)
| CSAElement (unsigned int kf=0)
const ByteValue * | GetByteValue () const
unsigned int | GetKey () const
| Set/Get Key.
const char * | GetName () const
| Set/Get Name.
unsigned int | GetNoOfItems () const
| Set/Get NoOfItems.
unsigned int | GetSyngoDT () const
| Set/Get SyngoDT.
Value & | GetValue ()
Value const & | GetValue () const
| Set/Get Value (bytes array, SQ of items, SQ of fragments):
const VM & | GetVM () const
| Set/Get VM.
VR const & | GetVR () const
| Set/Get VR.
bool | IsEmpty () const
| Check if CSA Element is empty.
bool | operator< (const CSAElement &de) const
CSAElement & | operator= (const CSAElement &de)=default
bool | operator== (const CSAElement &de) const
void | SetByteValue (const char *array, VL length)
| Set.
void | SetKey (unsigned int key)
void | SetName (const char *name)
void | SetNoOfItems (unsigned int items)
void | SetSyngoDT (unsigned int syngodt)
void | SetValue (Value const &vl)
void | SetVM (const VM &vm)
void | SetVR (VR const &vr)

## Protected Types
typedef SmartPointer< Value > | DataPtr

## Protected Attributes
DataPtr | DataField
unsigned int | KeyField
std::string | NameField
unsigned int | NoOfItemsField
unsigned int | SyngoDTField
VM | ValueMultiplicityField
VR | VRField

## Friends
std::ostream & | operator<< (std::ostream &os, const CSAElement &val)

## Detailed Description

Class to represent a CSA Element.

See also
  CSAHeader

Examples
  DumpCSA.cs, DumpSiemensBase64.cxx, MrProtocol.cxx, and csa2img.cxx.

## Member Typedef Documentation

## ◆ DataPtr

typedef SmartPointer<Value> gdcm::CSAElement::DataPtr
| protected

## Constructor & Destructor Documentation

## ◆ CSAElement() [1/2]

gdcm::CSAElement::CSAElement | ( | unsigned int | kf = 0 | ) |
| inline

References KeyField, NoOfItemsField, and SyngoDTField.

Referenced by CSAElement(), operator<(), operator<<, operator=(), and operator==().

## ◆ CSAElement() [2/2]

gdcm::CSAElement::CSAElement | ( | const CSAElement & | _val | ) |
| inline

References CSAElement().

## Member Function Documentation

## ◆ GetByteValue()

const ByteValue * gdcm::CSAElement::GetByteValue | ( |  | ) | const
| inline

Return the Value of CSAElement as a ByteValue (if possible)

Warning
  : You need to check for NULL return value

Examples
  DumpSiemensBase64.cxx, and MrProtocol.cxx.

References DataField.

## ◆ GetKey()

unsigned int gdcm::CSAElement::GetKey | ( |  | ) | const
| inline

Set/Get Key.

References KeyField.

Referenced by operator<().

## ◆ GetName()

const char * gdcm::CSAElement::GetName | ( |  | ) | const
| inline

Set/Get Name.

References NameField.

## ◆ GetNoOfItems()

unsigned int gdcm::CSAElement::GetNoOfItems | ( |  | ) | const
| inline

Set/Get NoOfItems.

References NoOfItemsField.

## ◆ GetSyngoDT()

unsigned int gdcm::CSAElement::GetSyngoDT | ( |  | ) | const
| inline

Set/Get SyngoDT.

References SyngoDTField.

## ◆ GetValue() [1/2]

Value & gdcm::CSAElement::GetValue | ( |  | ) |
| inline

References DataField.

## ◆ GetValue() [2/2]

Value const & gdcm::CSAElement::GetValue | ( |  | ) | const
| inline

Set/Get Value (bytes array, SQ of items, SQ of fragments):

Examples
  csa2img.cxx.

References DataField.

## ◆ GetVM()

const VM & gdcm::CSAElement::GetVM | ( |  | ) | const
| inline

Set/Get VM.

References ValueMultiplicityField.

## ◆ GetVR()

VR const & gdcm::CSAElement::GetVR | ( |  | ) | const
| inline

Set/Get VR.

References VRField.

## ◆ IsEmpty()

bool gdcm::CSAElement::IsEmpty | ( |  | ) | const
| inline

Check if CSA Element is empty.

Examples
  csa2img.cxx.

References DataField.

## ◆ operator<()

bool gdcm::CSAElement::operator< | ( | const CSAElement & | de | ) | const
| inline

References CSAElement(), and GetKey().

## ◆ operator=()

CSAElement & gdcm::CSAElement::operator= | ( | const CSAElement & | de | ) |
| default

References CSAElement().

## ◆ operator==()

bool gdcm::CSAElement::operator== | ( | const CSAElement & | de | ) | const
| inline

References CSAElement(), KeyField, NameField, SyngoDTField, ValueMultiplicityField, and VRField.

## ◆ SetByteValue()

void gdcm::CSAElement::SetByteValue | ( | const char * | array,
|  | VL | length )
| inline

Set.

References SetValue().

## ◆ SetKey()

void gdcm::CSAElement::SetKey | ( | unsigned int | key | ) |
| inline

References KeyField.

## ◆ SetName()

void gdcm::CSAElement::SetName | ( | const char * | name | ) |
| inline

References NameField.

## ◆ SetNoOfItems()

void gdcm::CSAElement::SetNoOfItems | ( | unsigned int | items | ) |
| inline

References NoOfItemsField.

## ◆ SetSyngoDT()

void gdcm::CSAElement::SetSyngoDT | ( | unsigned int | syngodt | ) |
| inline

References SyngoDTField.

## ◆ SetValue()

void gdcm::CSAElement::SetValue | ( | Value const & | vl | ) |
| inline

References DataField.

Referenced by SetByteValue().

## ◆ SetVM()

void gdcm::CSAElement::SetVM | ( | const VM & | vm | ) |
| inline

References ValueMultiplicityField.

## ◆ SetVR()

void gdcm::CSAElement::SetVR | ( | VR const & | vr | ) |
| inline

References VRField.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const CSAElement & | val )
| friend

References CSAElement(), DataField, gdcm_assert, gdcm::ByteValue::GetLength(), gdcm::ByteValue::GetPointer(), KeyField, NameField, NoOfItemsField, SyngoDTField, ValueMultiplicityField, gdcm::VM::VM1, and VRField.

## Member Data Documentation

## ◆ DataField

DataPtr gdcm::CSAElement::DataField
| protected

Referenced by GetByteValue(), GetValue(), GetValue(), IsEmpty(), operator<<, and SetValue().

## ◆ KeyField

unsigned int gdcm::CSAElement::KeyField
| protected

Referenced by CSAElement(), GetKey(), operator<<, operator==(), and SetKey().

## ◆ NameField

std::string gdcm::CSAElement::NameField
| protected

Referenced by GetName(), operator<<, operator==(), and SetName().

## ◆ NoOfItemsField

unsigned int gdcm::CSAElement::NoOfItemsField
| protected

Referenced by CSAElement(), GetNoOfItems(), operator<<, and SetNoOfItems().

## ◆ SyngoDTField

unsigned int gdcm::CSAElement::SyngoDTField
| protected

Referenced by CSAElement(), GetSyngoDT(), operator<<, operator==(), and SetSyngoDT().

## ◆ ValueMultiplicityField

VM gdcm::CSAElement::ValueMultiplicityField
| protected

Referenced by GetVM(), operator<<, operator==(), and SetVM().

## ◆ VRField

VR gdcm::CSAElement::VRField
| protected

Referenced by GetVR(), operator<<, operator==(), and SetVR().

The documentation for this class was generated from the following file:

- gdcmCSAElement.h